فهرست منبع

feat: Added commit-msg hook

This will call commitlint to validate commit messages
MikeWallaceDev 2 سال پیش
والد
کامیت
ff0c6a9d98
2فایلهای تغییر یافته به همراه28 افزوده شده و 2 حذف شده
  1. 26 0
      .githooks/commit-msg
  2. 2 2
      package.json

+ 26 - 0
.githooks/commit-msg

@@ -0,0 +1,26 @@
+#!/bin/sh
+#
+# An example hook script to check the commit log message.
+# Called by "git commit" with one argument, the name of the file
+# that has the commit message.  The hook should exit with non-zero
+# status after issuing an appropriate message if it wants to stop the
+# commit.  The hook is allowed to edit the commit message file.
+
+echo "Running the AppFlowy commit-msg hook."
+
+# This example catches duplicate Signed-off-by lines.
+
+test "" = "$(grep '^Signed-off-by: ' "$1" |
+	 sort | uniq -c | sed -e '/^[ 	]*1[ 	]/d')" || {
+	echo >&2 Duplicate Signed-off-by lines.
+	exit 1
+}
+
+npx --no -- commitlint --edit $1
+
+if [ $? -ne 0 ]
+then
+    echo "Please fix your commit message to match AppFlowy coding standards"
+    exit 1
+fi
+

+ 2 - 2
package.json

@@ -1,7 +1,7 @@
 {
   "devDependencies": {
-    "@commitlint/cli": "16.1.0",
-    "@commitlint/config-conventional": "16.0.0",
+    "@commitlint/cli": "^16.1.0",
+    "@commitlint/config-conventional": "^16.0.0",
     "husky": "7.0.4"
   }
 }